ProyectoCrm/src/app/Modulos/ColeccionesModulo/Paginas/fw-colecciones/fw-colecciones.page.pug
extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"

block contenido
  div.form-row
    div.form-group.col-12.col-lg-8
      app-fw-colecciones-cabecera([(Coleccion)]="tColeccionActual",
                                  [Empresa]="tEmpresaActual",
                                  [BloquearBuscar]="tBloquearBuscar",
                                  [Editar]="tEditar",
                                  [Estatus]="tEstatus",
                                  [TiposDesc]="tTiposDescuento",
                                  (Buscar)="BuscarColeccion($event)",
                                  (AbrirModal)="AbrirModalColecciones()")
    div.form-group.col-12.col-lg-4
      app-fw-colecciones-total([(Coleccion)]="tColeccionActual")
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Articulos",
              role="tab",
              aria-controls="Articulos",
              aria-selected="true")#Articulos-tab.nav-link.active Artículos
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Articulos-tab").tab-pane.fade.show.active#Articulos
          div.form-row
            div.form-group.col-12.col-lg-4
              app-fw-colecciones-articulo([(Articulo)]="tArticuloActual",
                                          [(Inventario)]="tArticuloInv",
                                          [(Coleccion)]="tColeccionActual",
                                          [(InventarioActual)]="tArticuloInvActual",
                                          [Empresa]="tEmpresaActual",
                                          [Usuario]="tUsuarioActual",
                                          [Nuevo]="tNuevo",
                                          (AbrirModal)="AbrirModalArticulos()",
                                          (AgregarArticulo)="Agregar_Articulo_Coleccion($event)")
            div.form-group.col-12.col-lg-8
              app-fw-colecciones-articulos([(Coleccion)]="tColeccionActual",
                                          [(InventarioActual)]="tArticuloInvActual",
                                          [Nuevo]="tNuevo",
                                          [Usuario]="tUsuarioActual",
                                          (EliminarArticulo)="Eliminar_Articulo_Coleccion($event)")
  div.form-row
    div.form-group.col-12.d-flex.justify-content-end
      div(role="toolbar",
          aria-label="Toolbar with button groups").btn-toolbar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Cancelar()").btn.btn-secondary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-times
            span.text Cancelar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Eliminar()", [disabled]="!tHabilitarEliminar").btn.btn-danger.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-trash-alt
            span.text Eliminar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Agregar()", [disabled]="!tHabilitarGuardar").btn.btn-primary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-save
            span.text Guardar

ProyectoCrm/src/app/Modulos/ColeccionesModulo/Paginas/fw-colecciones/fw-colecciones.page.html

<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
  <div class="btn-toolbar mb-2 mb-md-0">
    <div class="btn-group mr-2">
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==false, 'btn-outline-secondary':tNuevo==true}"><i class="fas fa-edit"></i></button>
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==true, 'btn-outline-secondary':tNuevo==false}" (click)="Nuevo()"><i class="fas fa-plus"></i></button>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <div class="form-row">
      <div class="form-group col-12 col-lg-8">
        <app-fw-colecciones-cabecera [(Coleccion)]="tColeccionActual" [Empresa]="tEmpresaActual" [BloquearBuscar]="tBloquearBuscar" [Editar]="tEditar" [Estatus]="tEstatus" [TiposDesc]="tTiposDescuento" (Buscar)="BuscarColeccion($event)" (AbrirModal)="AbrirModalColecciones()"></app-fw-colecciones-cabecera>
      </div>
      <div class="form-group col-12 col-lg-4">
        <app-fw-colecciones-total [(Coleccion)]="tColeccionActual"></app-fw-colecciones-total>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Articulos" role="tab" aria-controls="Articulos" aria-selected="true" id="Articulos-tab">Artículos</a></li>
        </ul>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="tab-content" id="mvDatos">
          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Articulos-tab" id="Articulos">
            <div class="form-row">
              <div class="form-group col-12 col-lg-4">
                <app-fw-colecciones-articulo [(Articulo)]="tArticuloActual" [(Inventario)]="tArticuloInv" [(Coleccion)]="tColeccionActual" [(InventarioActual)]="tArticuloInvActual" [Empresa]="tEmpresaActual" [Usuario]="tUsuarioActual" [Nuevo]="tNuevo" (AbrirModal)="AbrirModalArticulos()" (AgregarArticulo)="Agregar_Articulo_Coleccion($event)"></app-fw-colecciones-articulo>
              </div>
              <div class="form-group col-12 col-lg-8">
                <app-fw-colecciones-articulos [(Coleccion)]="tColeccionActual" [(InventarioActual)]="tArticuloInvActual" [Nuevo]="tNuevo" [Usuario]="tUsuarioActual" (EliminarArticulo)="Eliminar_Articulo_Coleccion($event)"></app-fw-colecciones-articulos>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 d-flex justify-content-end">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-secondary btn-icon-split" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-danger btn-icon-split" type="button" (click)="Eliminar()" [disabled]="!tHabilitarEliminar"><span class="icon text-white-50"><i class="fas fa-trash-alt"></i></span><span class="text">Eliminar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-primary btn-icon-split" type="button" (click)="Agregar()" [disabled]="!tHabilitarGuardar"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
